gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.IOStreamAdapter

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype IOStreamAdapter = IOStreamAdapter (ManagedPtr IOStreamAdapter)

# Exported types

newtype IOStreamAdapter Source #

Memory-managed wrapper type.

Constructors

IOStreamAdapter (ManagedPtr IOStreamAdapter) |

#### Instances

Instances details

Eq IOStreamAdapter Source # |
Instance details Defined in GI.Gio.Structs.IOStreamAdapter Methods (==) :: IOStreamAdapter -> IOStreamAdapter -> Bool Source # (/=) :: IOStreamAdapter -> IOStreamAdapter -> Bool Source #
BoxedPtr IOStreamAdapter Source # |
Instance details Defined in GI.Gio.Structs.IOStreamAdapter Methods boxedPtrCopy :: IOStreamAdapter -> IO IOStreamAdapter Source # boxedPtrFree :: IOStreamAdapter -> IO () Source #
ManagedPtrNewtype IOStreamAdapter Source # |
Instance details Defined in GI.Gio.Structs.IOStreamAdapter Methods toManagedPtr :: IOStreamAdapter -> ManagedPtr IOStreamAdapter Source #

# Methods